Subject: Re: [MOBILE-IP] DAD

From: "Powell, Ken" <[email-masked]>
Date: Wed, 15 Nov 2000 17:15:06 -0500

> -----Original Message-----
> From: Francis Dupont [mailto:[email-masked]]
> Sent: Wednesday, November 15, 2000 2:58 AM
> To: [email-masked]
> Subject: Re: [MOBILE-IP] DAD
>
>
>  In your previous mail you wrote:
>
>    A node normally runs DAD only when creating a new address when
>    attached directly to its home subnet. The specific case that
>    was of concern occurs when a binding is dropped for a valid
>    address on the home network that already passed DAD. When the
>    binding gets re-created, the mobile node does not create a new
>    address, it reuses the old one.
>
> => for me to re-creat a binding or to re-assign an address to
> an interface
> is the same thing. The re- is covered by the manual configuration case
> (which is a common way to re-use the same address in the RFC
> 2462 context).
> But the question is: this is obvious or this needs clarification?

I vote for clarification. Its a subtle point that seemed obvious
to me too, but only after the initial question was asked. I didn't
even consider the possibility before that.

>
>    I think the definition of what it means to assign an address to
>    an interface is a bit fuzzy with mobility.
>
> => perhaps this is the point which needs clarification. I believe
> for a mobile node to assign an address to an interface attached to
> the home link or to perform a new home registration (ie. to create
> a new binding with a home agent, new is relative to the home address
> not the care-of) are the same thing.

OK, how about:

       .... The mobile node SHOULD set the Duplicate Address
       Detection (D) bit based on any requirements for Duplicate
       Address Detection that would apply to the mobile node if it
       were at home [17, 27]. It is possible for the mobile node
       to retain a home address for a period of time without a
       current home registration. Creation of a new home
       registration for such an address MUST be treated the same
       as assigning a new address to the home subnet interface.

>
> Regards
>
> [email-masked]
>

---

From: Francis Dupont <[email-masked]>
Date: Thu, 16 Nov 2000 10:38:19 +0100

OK, how about:

=> I agree, just use the world "link" in place of "subnet",
ie last line should be:
          as assigning a new address to a home link interface.

Thanks

---

From: Mattias Pettersson <[email-masked]>
Date: Thu, 16 Nov 2000 16:35:01 +0100

I think clarification is inexpensive, so please go for it.

/Mattias